function [that fval]=estimate_full_scaled(y0,y1,y2,y3,x0,x1,x2,x3,thstart,W0,print)
   
    x=thstart;

    A = [];
    b = [];
    Aeq = [];
    beq = [];
    lb=0*x-6;
    ub=0*x+6;
    fun=@(th)fct1_full_scaled(y0,y1,y2,y3,x0,x1,x2,x3,th,W0,0);
    opti=optimoptions(@fmincon,'MaxFunctionEvaluations',10000,'MaxIterations',10000,'Display','off');
    [x,fval] = fmincon(fun, x,A,b,Aeq,beq,lb,ub,[],opti);
    if print
        fprintf('  Fminunc =%9.4f ',fval)
    end
 
    that=x;
end